Subject: Bug? Unexpected outputs of git pull on stdout v.s. stderr

From: Pascal MALAISE <[email-masked]>
Date: Fri, 04 Oct 2013 19:18:49 +0200

Hello,

git --version
-> git version 1.7.9.5
on linux

A 'git pull' operation exits with 1 (which is normal) but generates the
following output and error flows:

stdout:
Auto-merging c/makefile
CONFLICT (content): Merge conflict in c/makefile
Auto-merging c/x_color.c
Auto-merging c/x_export.c
CONFLICT (content): Merge conflict in c/x_export.c
...
CONFLICT (content): Merge conflict in c/x_line.h
Automatic merge failed; fix conflicts and then commit the result.

stderr:
>From /home/malaise/ada
* branch            Xft        -> FETCH_HEAD

With option -q the Error flow is empty and the Output is as before.

I would expect that the text:
> From /home/malaise/ada
> * branch            Xft        -> FETCH_HEAD
is part of stdout and suppressed with option -q

And that the message:
> Automatic merge failed; fix conflicts and then commit the result.
is part of stderr (and kept with option -q).

Or did I miss something?
Thank you.

-- 
Couldn't eradicate windows from my PC but I caged it in a vmware.
Pascal MALAISE